TAAS - Feature #127

Paid Cheque Search
02/02/2023 02:29 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 02/10/2023
Priority: Normal Due date:

Assignee: Athira KK % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): NBK - Qatar Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Paid Cheque

Description

Coding Paid Cheque Search

History

#1 - 02/02/2023 09:36 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

#2 - 02/10/2023 09:41 AM - Junaid M
- Assignee changed from Junaid M to Anand V Gopal

#3 - 02/10/2023 04:58 PM - Anand V Gopal

- Status changed from Open to Coding Started

- Start date changed from 02/02/2023 to 02/10/2023
- % Done changed from 10 to 40

#4 - 02/18/2023 06:04 PM - Anand V Gopal
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#5 - 02/24/2023 05:29 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Use dd/mm/yyyy format on grid
2.Set validation on date picker (range)
3.Resize grid columns

#6 - 02/28/2023 06:13 PM - Anand V Gopal

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

05/03/2025

1/8




- % Done changed from 50 to 60

#7 - 03/01/2023 06:17 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Add precision on grid

#8 - 03/15/2023 05:36 PM - Amal Cyriac

ISSUE FOUND *****

1.Use CODE:NAME format on Selection Box
(Cash Counter)

2.Add precision on grid

#9 - 03/21/2023 06:12 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 03/22/2023 05:02 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix error while search

(TS.{h

2.Fix bugs on grid - Narration column

(Not showing)

3.Fix bugs on date picker while Expand/Collapse Menu

#11 - 03/30/2023 06:11 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 04/04/2023 06:43 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set defaults on input box

(Branch Department & Currency)

2.Fix bugs on div expand

(Prevent div expanding while taping on search)

#13 - 04/20/2023 06:08 PM - Anand V Gopal

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

- Owner(Agency) NBK - Qatar added

- Owner(Agency) deleted (Travvise)

#14 - 05/24/2023 06:30 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Search Filters not working

(No results)

2.Fix bugs on div expand

(div colapse while search)

3.Use CODE :NAME style on auto completion - Party
4.Set default items on Status multi selection box

#15 - 05/27/2023 06:19 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 05/29/2023 06:34 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND
1.Use CODE :NAME style on auto completion - Party
2.Amounts not changing Base 2 currency

#17 - 06/28/2023 05:30 PM - unnikannan S
ISSUE FOUNDED

1.CHANGE ISSUEDATE INTO CHEQUEDATE
2.ADD MANDATORY FIELD FOR DATE
3.ADD BLANK OPTION FOR CURRENCY
4.ADD SPACE BETWEEN THE BRACKETS

#18 - 07/28/2023 06:16 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#19 - 09/12/2023 10:09 AM - unnikannan S

- Tested By changed from Amal Cyriac to unnikannan S

TESTING DONE

#20 - 09/12/2023 05:55 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.NO DATA

#21 - 10/07/2023 05:15 PM - Junaid M

- Assignee changed from Anand V Gopal to Abhiram Venu

#22 - 10/14/2023 01:22 PM - Abhiram Venu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

'No Data' issue found.
The data saved from the PAYMENT module, the value of status is not getting inserted to 'chr_current_cheque_status' in paid_cheque table.

#23 - 11/09/2023 12:02 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ADD NEW BUTTON

2.FREEZE Ul FILTER SECTIONS AFTER SHOWING DATA
3.SHOW BASE 1 QAR WISE AMOUNT CHANGE

4.ISSUE WHILE CHOOSING RESET BUTTON

5.ERROR WHILE CHOOSING PRINT (did not get the solution)
6.NO DATA IN PAYMENT MODULE WHILE CHOOSING EDIT MODE

#24 - 11/21/2023 09:53 AM - Junaid M

- Assignee changed from Abhiram Venu to Shahil Haris

#25 - 11/22/2023 12:01 PM - Shahil Haris
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

#26 - 11/23/2023 11:21 AM - Shahil Haris
- Status changed from Particialy Coding Done to Reopen Bugs Coding Done
- % Done changed from 40 to 60

#27 - 11/30/2023 06:58 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOWING SYSTEM ERROR WHILE SEARCH

#28 - 12/01/2023 11:49 AM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#29 - 12/06/2023 11:13 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.ERROR IN PRINT
2.CORRECT THE PRINT FORMAT

#30 - 12/06/2023 01:00 PM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#31 - 12/06/2023 03:19 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.DONT FREEZE THE GRID THERE IS NO DATA
2.FREEZE THE GRID AFTER ONLY SHOWING THE DATA
3.CORRECT THE PRINT BUTTON DATA INFORMATIONS (REFER RECEIVED CHEQUE SEARCH MODULE)

#32 - 12/07/2023 03:53 PM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#33 - 12/07/2023 04:31 PM - unnikannan S
TESTING DONE

#34 - 12/29/2023 05:53 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

05/03/2025

4/8



ISSUE FOUNDED

Fixed 1.NO DATA IN THE TRANSACTION DONE MODULE WHILE CHOOSING EDIT MODE FROM LIST
Fixed 2.MISSING PRECISION VALUE

Fixed 3.NO DATA WHILE SEARCH WITH LEDGER CURRENCY OR INDIVIDUAL CURRENCY

Fixed 4.CORRECT THE ALLIGMENT OF THE FILTER FIELDS IN Ul

#35 - 12/29/2023 06:09 PM - unnikannan S
- Assignee changed from Shahil Haris to Amal Siby

#36 - 12/30/2023 08:35 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#37 - 01/02/2024 02:39 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

Fixed 1.DATA SHOW AS PER ADDED CHEQUE DATE

Fixed 2.CORRECT ALLIGMENT CHEQUE DATE

Fixed 3.SHOW TOTAL AMOUNT

Fixed 4. ADD DOCUMENT DATE IN GRID

Fixed 5.REMOVE BLANK OPTION FROM CRRENCY FIELD

Fixed 6.SHOW DATA IF WE CHOOSE BLANK OPTION IN CASH COUNTER
Fixed 7.DONT CLEAR STATUS OPTIONS WHILE CHOOSING NEW BUTTON
Fixed 8. SHOW DATA OF REPRESENTED CHEQUE

#38 - 01/08/2024 01:12 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#39 - 05/03/2024 10:45 AM - Junaid M
- Assignee changed from Amal Siby to Vivekp V

#40 - 07/19/2024 10:47 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Clear Validation Icon From Bank Code While Focus Out

#41 - 07/19/2024 12:06 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE fixed

1.Clear Validation Icon From Bank Code While Focus Out

#42 - 07/26/2024 12:30 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

GUI CHANGE

1.Show Action Icon In List (Refer Received Cheque Search)
#43 - 07/29/2024 04:32 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

GUI CHANGE done

1.Show Action Icon In List (Refer Received Cheque Search)

#44 - 10/25/2024 02:07 PM - Arathy PS
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES Done

1. Add a green star to cheque date and cheque no.
2. Make either cheque date or cheque no mandatory.
---Date is required. If cheque is given, then date is not needed.

#45 - 10/29/2024 12:53 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#46 - 11/11/2024 07:15 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

1.Clear Invalid Messages From Action Button Pop Up List

#47 - 11/12/2024 09:32 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#48 - 11/13/2024 11:23 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)ON CLICKING THE ROW FILTER,HEADER FILTER OF ACTION POPUP GRID CORESPONDING GRID FILTERS OF PAID CHEQUE SEARCH
LIST IS WORKING
2)CHANGE THE NAME OF EXPORTING PDF TO ACTION LIST

#49 - 11/14/2024 09:29 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#50 - 11/15/2024 11:14 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#51 - 12/03/2024 11:35 AM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES DONE

1. On the cheque date field add a drop down with deposit date.
2. On grid after bank add another column 'deposit date'.

#52 - 12/07/2024 07:58 AM - Vivekp V
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#53 - 12/13/2024 02:32 PM - Theja Ponon
- Status changed from New Changes Coding Done to New Changes Testing Done

- % Done changed from 70 to 90

#54 - 01/16/2025 02:29 PM - Theja Ponon

- Status changed from New Changes Testing Done to New Changes
- Assignee changed from Vivekp V to Athira KK

- % Done changed from 90 to 50

New Change

1)Add Redirection to document number and cheque number

#55 - 01/20/2025 04:32 PM - Athira KK
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#56 - 01/22/2025 04:45 PM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#57 - 01/23/2025 11:53 AM - Arathy PS
- File clipboard-202501231153-05vdj.png added

ISSUE FOUND

Redirection is not complete(done)

Incorrect cheque no:(DONE)

Print is not working.(DONE)

Showing incorrect currency when we choose data to show in base currency.(can not reproduce the bug )

2N

Paid Cheque Search

Cheque Date+ Cheque Ne~ | 0 Stetes | cenceiec
: ooy [ - =
Bank Department  Account - Cash Counter v

-

Y @ B =B @

Deposit Date Doc Date Doc No Root Doc D... RootDoc No Party Status Currency Amount Narration

24/01/2025 23/01/2025 CRF/001 23/01/2025 CRF/001 CUSO001:: ANWAR ASLAM AHMM. Bank Credited[Bank Direct] QAR 1022.00 &S D
23/01/2025 23/01/2025 PV/002 23/01/2025 PV/002 SUPQO1: BSP Issued[Control Ac] - 1000.00 &S D
23/01/2025 23/01/2025 PCC/001 23/01/2025 PV/003 SUPOO02: ASP Cancelled INR 25000 £ D
23/01/2025 23/01/2025 PCC/002 23/01/2025 PV/004 SUPQO1: BSP Cancelled QAR 350.00 &S D

QAR 2372.00 Dr
INR 250.00 Dr

#58 - 01/25/2025 11:09 AM - Athira KK

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#59 - 01/31/2025 12:03 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)CHEQUE GIVEN AT REFUND IS NOT LOADING HERE WHEN GIVING STATUS AS ISSUED

#60 - 02/03/2025 02:31 PM - Athira KK
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#61 - 03/11/2025 05:57 PM - Arathy PS

- File clipboard-202503111756-otud4.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

Paid Cheque Search

Cheque No~ | 0 Status® | Cheque Ret -

Party Branch - M Currency | Base1(QAR) v

Bank Department | Account - Cash Counter v

T a E &
> Bank Deposit Date Doc Date Doc No Root Doc D... Root Doc No Party Status Currency Amount Narration

BNK0O1: ICICI 11/03/2025 11/03/2025 PCR/005 11/03/2025 PV/008 SUPOO1: BSP SUPPLIER Cheque Retum 0AR 500.00 S D

BNK0O1:= ICICI 11/03/2025 11/03/2025 PCR/006 11/03/2025 PV/009 SUPOD1: BSP SUPPLIER. Cheque Retumn QAR 1000.00 , 9

BNK0O1: ICICI 10/03/2025 10/03/2025 PCR/001 10/03/2025 PV/001 SUPOO1: BSP SUPPLIER Cheque Retum 0AR 100000  gfrttrt S D

BNK0O2: AXIS 10/03/2025 10/03/2025 PCR/002 10/03/2025 PV/002 SUPQD1: BSP SUPPLIER Cheque Retun QAR 100000 S D

QAR 3500.00 Dr

-Redirects to paid cheque return instead of payment
#62 - 03/12/2025 02:53 PM - Athira KK
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#63 - 03/27/2025 04:33 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90
Files
1-CsModel.cs 1.56 KB 02/02/2023 Junaid M
2-tsModel.ts 1.09 KB 02/02/2023 Junaid M
3-CsFile.cs 1.02 KB 02/02/2023 Junaid M
4-CsControllerFile.cs 1.01 KB 02/02/2023 Junaid M
5-TsFile.ts 0 Bytes 02/02/2023 Junaid M
6-HtmlFile.html 1.89 KB 02/02/2023 Junaid M
sql.sql 3.09 KB 02/02/2023 Junaid M
clipboard-202501231153-05vdj.png 94.3 KB 01/23/2025 Arathy PS
clipboard-202503111756-otud4.png 120 KB 03/11/2025 Arathy PS
